package com.example.zijincao.controller;

import com.example.zijincao.common.ResponseBean;
import lombok.AllArgsConstructor;
import me.chanjar.weixin.common.bean.WxJsapiSignature;
import me.chanjar.weixin.common.bean.WxOAuth2UserInfo;
import me.chanjar.weixin.common.bean.oauth2.WxOAuth2AccessToken;
import me.chanjar.weixin.common.error.WxErrorException;
import me.chanjar.weixin.mp.api.WxMpService;
import me.chanjar.weixin.mp.bean.result.WxMpUser;
import org.springframework.web.bind.annotation.*;


/**
 * jsapi 演示接口的 controller.
 *
 * @author <a href="https://github.com/binarywang">Binary Wang</a>
 * @date 2020-04-25
 */
@AllArgsConstructor
@RestController
@RequestMapping("/wx")
public class WxJsapiController {
    private final WxMpService wxService;

    @GetMapping("/jsapi")
    public ResponseBean getJsapiTicket(@RequestParam String url) throws WxErrorException {
        final WxJsapiSignature jsapiSignature = this.wxService.createJsapiSignature(url);
        System.out.println(jsapiSignature);
        return ResponseBean.success(jsapiSignature);
    }

    @GetMapping("/user")
    public ResponseBean getUserInfo(@RequestParam String code) throws WxErrorException {
        WxOAuth2AccessToken accessToken = wxService.getOAuth2Service().getAccessToken(code);
        WxOAuth2UserInfo user = wxService.getOAuth2Service().getUserInfo(accessToken, null);

        System.out.println(user);
        return ResponseBean.success(user);
    }
}
