package com.example.zijincao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 埋点表;
 * @author : http://www.chiner.pro
 * @date : 2022-12-7
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "埋点表",description = "")
@TableName("ta_track")
public class TaTrack implements Serializable,Cloneable{
    /** 序号 */
    @ApiModelProperty(name = "序号",notes = "")
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo ;
    /** 访问地址 */
    @ApiModelProperty(name = "访问地址",notes = "")
    private String url ;
    /** UserAgent */
    @ApiModelProperty(name = "UserAgent",notes = "")
    private String ua ;
    /** 来源地址 */
    @ApiModelProperty(name = "来源地址",notes = "")
    private String ip ;
    /** 微信openid */
    @ApiModelProperty(name = "微信openid",notes = "")
    private String openid ;
    /** 昵称 */
    @ApiModelProperty(name = "昵称",notes = "")
    private String nickname ;
    /** 头像 */
    @ApiModelProperty(name = "头像",notes = "")
    private String avatar ;
    /** 访问时间 */
    @ApiModelProperty(name = "访问时间",notes = "")
    private LocalDateTime createDate ;

    @TableField(exist = false)
    private String code;
}